## org.eclipse.m2m.atl.profiler.vm.adapter
Class StackFrameAdapter

    java.lang.Object
      org.eclipse.m2m.atl.profiler.vm.adapter.StackFrameAdapter

All Implemented Interfaces:
  IStackFrame

    public class StackFrameAdapter

extends java.lang.Object
implements IStackFrame

A RegularM / Profiler stack frame wrapper.

Constructor Summary
`StackFrameAdapter(StackFrame frame)` Creates an `StackFrameAdapter` wrapping the given `StackFrame`.

Method Summary
`boolean` `equals(java.lang.Object obj)`
`IOperation` `getIOperation()` Returns the frame operation.
`java.util.Map<java.lang.String,java.lang.Object>` `getLocalVariables()` Returns the local variables map.
`int` `getLocation()` Returns the current frame location.
`int` `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StackFrameAdapter

    public StackFrameAdapter(StackFrame frame)

  Creates an `StackFrameAdapter` wrapping the given `StackFrame`.

  Parameters:
    `frame` - the frame to wrap

Method Detail

### getIOperation

    public IOperation getIOperation()

  Returns the frame operation.

  Specified by:
    `getIOperation` in interface `IStackFrame`
  Returns:
    the frame operation
  See Also:
    `IStackFrame.getIOperation()`

### getLocalVariables

    public java.util.Map<java.lang.String,java.lang.Object> getLocalVariables()

  Returns the local variables map.

  Specified by:
    `getLocalVariables` in interface `IStackFrame`
  Returns:
    the local variables map
  See Also:
    `IStackFrame.getLocalVariables()`

### getLocation

    public int getLocation()

  Returns the current frame location.

  Specified by:
    `getLocation` in interface `IStackFrame`
  Returns:
    the current frame location
  See Also:
    `IStackFrame.getLocation()`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`
  See Also:
    `Object.equals(java.lang.Object)`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`
  See Also:
    `Object.hashCode()`

Copyright 2007 IBM Corporation and others. All Rights Reserved.